if (null==dataSet1)dataSet1 = new Array();
if (null==dataSet2)dataSet2 = new Array();
if (null==dataSet3)dataSet3 = new Array();
if (null==dataSet4)dataSet4 = new Array();
if (null==dataSet5)dataSet5 = new Array();
if (null==dataSet6)dataSet6 = new Array();
if (null==dataSet7)dataSet7 = new Array();
if (null==dataSet8)dataSet8 = new Array();
if (null==dataSet9)dataSet9 = new Array();
if (null==dataSet10) dataSet10 = new Array();
if (null==dataSet11) dataSet11 = new Array();
if (null==dataSet12) dataSet12 = new Array();
if (null==dataSet13) dataSet13 = new Array();
if (null==dataSet14) dataSet14 = new Array();
if (null==dataSet15) dataSet15 = new Array();
if (null==dataSet16) dataSet16 = new Array();
if (null==dataSet17) dataSet17 = new Array();
if (null==dataSet18) dataSet18 = new Array();
if (null==dataSet19) dataSet19 = new Array();
if (null==dataSet20) dataSet20 = new Array();
if (null==dataSet21) dataSet21 = new Array();
if (null==dataSet22) dataSet22 = new Array();
if (null==dataSet23) dataSet23 = new Array();
if (null==dataSet24) dataSet24 = new Array();
if (null==dataSet25) dataSet25 = new Array();
if (null==dataSet26) dataSet26 = new Array();
if (null==dataSet27) dataSet27 = new Array();
if (null==dataSet28) dataSet28 = new Array();
if (null==dataSet29) dataSet29 = new Array();
if (null==dataSet30) dataSet30 = new Array();


dataSet1[dataSet1.length] = "faj; frfc jujn jhfg jmfc jump freeze kill dress hung great"
dataSet2[dataSet2.length] = "fast junk fever jungle finger hopping greatest water pillow"
dataSet3[dataSet3.length] = "zebras pistol quilted rewards pilfering stolen queen needed borrowing"
dataSet4[dataSet4.length] = "broken quill optometrist disease wildflowers velvet twelve victim"
dataSet5[dataSet5.length] = "HP was started by William Hewlett and David Packard in nineteen thirty seven."
dataSet6[dataSet6.length] = "The first large electronic computer was ENIAC, built in nineteen forty six."
dataSet7[dataSet7.length] = "John Bardeen and William Shokley invented the transistor in nineteen forty seven."
dataSet8[dataSet8.length] = "The Fairchild semiconductor company invented the integrated circuit."
dataSet9[dataSet9.length] = "Intel coproration invented the first microprocessor in nineteen sixty nine."
dataSet10[dataSet10.length] = "Intel also invented the Erasable Programmable Read only Memory, EPROM."
dataSet11[dataSet11.length] = "All modern computers are based on Silicon. Early electronics also used germanium."
dataSet12[dataSet12.length] = "One of the largest microprocessor manufacturers is Advanced Micro devices, AMD."
dataSet13[dataSet13.length] = "The limit of miniaturization of electronic devices is the wavelength of light."
dataSet14[dataSet14.length] = "Stephen Wozniak and Stephen Jobs started the Apple in the early seventies."
dataSet15[dataSet15.length] = "The first Apple computer was called Lisa and pioneered the mouse pointing device."
dataSet16[dataSet16.length] = "IBM entered the computer market in nineteen eighty one with the PC."
dataSet17[dataSet17.length] = "The first Operating System released by Bill Gates of Microsoft was MS DOS."
dataSet18[dataSet18.length] = "Pascal, Java, Basic, Fortran and Cobol are all programming languages."
dataSet19[dataSet19.length] = "Microsoft Access is software used for managing data contained in databases."
dataSet20[dataSet20.length] = "Spreadsheet software is used to manage numbers such as financial records."
dataSet21[dataSet21.length] = "A Desktop Publisher is used for formatting documents for newspapers and magazines."
dataSet22[dataSet22.length] = "Wordprocessors also allow control over text and graphics."
dataSet23[dataSet23.length] = "Learning to touch type is a training exercise. You need to practice regularly."
dataSet24[dataSet24.length] = "Initially, it may be slower to type correctly, but the long term benefits are worthwhile."
dataSet25[dataSet25.length] = "A good typist can type faster than most people speak. Your speed will also increase."
dataSet26[dataSet26.length] = "Repetition is the only way to train yourself to type with all fingers."
dataSet27[dataSet27.length] = "As you spend more time training, you will find it unnecessary to look at the keyboard."
dataSet28[dataSet28.length] = "There are several Internet sites where you can test your typing speed. See the links below."
dataSet29[dataSet29.length] = "You have now completed seven stages in this tutorial. You should now be quite fast."
dataSet30[dataSet30.length] = "This is the last prompt line in this lesson. Select a new Stage."